-- ============================================================
--   DATABASE NAME:  FOLHA                                     
--   CREATED ON:     07/04/2022  15:00                         
--   Issue: 373128
-- ============================================================

-- ============================================================
--   TABLE: GPE_PROCESSADMJUD
-- ============================================================
ALTER TABLE ESTRUTURAH
ADD (NRCDPROCESSORAT NUMBER());

ALTER TABLE ESTRUTURAH
ADD (VRPERCENTRAT FLOAT());

ALTER TABLE ESTRUTURAH
ADD (NRCDPROCESSOFAP NUMBER());

ALTER TABLE ESTRUTURAH
ADD (VRPERCENTFAP FLOAT());

ALTER TABLE ESTRUTURAH
ADD (NRCDCONVENIOTERCEIRO NUMBER());

ALTER TABLE ESTRUTURAH
ADD (NRPROCESSOTERCEIRO VARCHAR2(4));

ALTER TABLE ESTRUTURAH
ADD (NRCDCONTRATAPRENDIZ NUMBER());

ALTER TABLE ESTRUTURAH
ADD (IDENTIDSFIMLUCRATIVO VARCHAR(1));

ALTER TABLE ESTRUTURAH
ADD (NRCDPROCESSOCONTRATPCD NUMBER());

ALTER TABLE ESTRUTURAH
ADD CONSTRAINT ESTRUTURAH_GPEPROCESSADMJUDR
FOREIGN KEY (NRCDPROCESSORAT, NRORG)
REFERENCES GPE_PROCESSADMJUD(NRPROCESSADMJUD, NRORG);

ALTER TABLE ESTRUTURAH
ADD CONSTRAINT ESTRUTURAH_GPEPROCESSADMJUDF
FOREIGN KEY (NRCDPROCESSOFAP, NRORG)
REFERENCES GPE_PROCESSADMJUD(NRPROCESSADMJUD, NRORG);

ALTER TABLE ESTRUTURAH
ADD CONSTRAINT ESTRUTURAH_GPEPROCESSADMJUDT
FOREIGN KEY (NRCDCONVENIOTERCEIRO, NRORG)
REFERENCES GPE_PROCESSADMJUD(NRPROCESSADMJUD, NRORG);

ALTER TABLE ESTRUTURAH
ADD CONSTRAINT ESTRUTURAH_GPEPROCESSADMJUDA
FOREIGN KEY (NRCDCONTRATAPRENDIZ, NRORG)
REFERENCES GPE_PROCESSADMJUD(NRPROCESSADMJUD, NRORG);

ALTER TABLE ESTRUTURAH
ADD CONSTRAINT ESTRUTURAH_GPEPROCESSADMJUDP
FOREIGN KEY (NRCDPROCESSOCONTRATPCD, NRORG)
REFERENCES GPE_PROCESSADMJUD(NRPROCESSADMJUD, NRORG);
